<?xml version="1.0" ?>

<feature-spec xmlns="urn:jboss:galleon:feature-spec:1.0" name="subsystem.infinispan.cache-container.replicated-cache.store.remote">
    <annotation name="jboss-op">
        <elem name="name" value="add"/>
        <elem name="op-params" value="cache,socket-timeout,tcp-no-delay,remote-servers,fetch-state,max-batch-size,passivation,preload,purge,shared,singleton,properties"/>
        <elem name="addr-params" value="profile,subsystem,cache-container,replicated-cache,store"/>
    </annotation>
    <annotation name="feature-branch">
        <elem name="id" value="subsystem.infinispan"/>
    </annotation>
    <provides>
        <capability name="$profile.org.wildfly.clustering.infinispan.cache.store.$cache-container.$replicated-cache"/>
    </provides>
    <requires>
        <capability name="org.wildfly.network.outbound-socket-binding.$remote-servers"/>
    </requires>
    <refs>
        <ref feature="subsystem.infinispan.cache-container.replicated-cache"/>
        <ref feature="subsystem.infinispan.cache-container"/>
        <ref feature="subsystem.infinispan"/>
        <ref feature="profile" nillable="true"/>
    </refs>
    <params>
        <param name="singleton" nillable="true"/>
        <param name="shared" nillable="true"/>
        <param name="cache"/>
        <param name="profile" feature-id="true" default="GLN_UNDEFINED"/>
        <param name="cache-container" feature-id="true"/>
        <param name="remote-servers" type="List&lt;String&gt;"/>
        <param name="subsystem" feature-id="true" default="infinispan"/>
        <param name="passivation" nillable="true"/>
        <param name="purge" nillable="true"/>
        <param name="store" feature-id="true" default="remote"/>
        <param name="tcp-no-delay" nillable="true"/>
        <param name="max-batch-size" nillable="true"/>
        <param name="preload" nillable="true"/>
        <param name="fetch-state" nillable="true"/>
        <param name="replicated-cache" feature-id="true"/>
        <param name="socket-timeout" nillable="true"/>
        <param name="properties" nillable="true"/>
    </params>
</feature-spec>